Skip to main content
POST
Validate a managed job

Authorizations

Authorization
string
header
required

Synth customer access token for the current user and organization.

Path Parameters

user_id
string<uuid>
required

Body

application/json

Request envelope for side-effect-free Harbor config translation.

config
Config · object
required
client_context
HarborClientContext · object

Optional diagnostic metadata from a Harbor-compatible client.

harbor_commit
string | null
harbor_version
string
default:0.13.0
source
string
default:synth-cli
strict
boolean
default:true

Response

Successful Response

Side-effect-free Harbor compatibility response.

accepted
boolean
required
classification
enum<string>
required
Available options:
gateway-compatible,
partial,
unsupported
harbor_version
string
required
required_capabilities
string[]
unsupported_fields
HarborFieldFinding · object[]
warnings
HarborFieldFinding · object[]